Class 'wp_github_updater' not found in #10

Open
sebastiaandegeus opened this Issue Sep 24, 2013 · 2 comments

2 participants

@sebastiaandegeus

Warning: include_once(/projects/testproject/packages/plugins/WP-Plugin-Directories/inc/updater/updater.php) [function.include-once]: failed to open stream: No such file or directory in /projects/testproject/packages/plugins/WP-Plugin-Directories/plugin-dirs.php on line 130

Warning: include_once() [function.include]: Failed opening '/projects/testproject/packages/plugins/WP-Plugin-Directories/inc/updater/updater.php' for inclusion (include_path='.:/usr/local/Cellar/php53/5.3.26/lib/php') in /projects/testproject/packages/plugins/WP-Plugin-Directories/plugin-dirs.php on line 130

Fatal error: Class 'wp_github_updater' not found in /projects/testproject/packages/plugins/WP-Plugin-Directories/plugin-dirs.php on line 139

It seems some things are missing. Is this on purpose and am I missing something?

@chrisguitarguy

Try running...

$ git submodule update --init --recursive
@sebastiaandegeus

I fixed it locally by adding updater.php where it's supposed to be and added the class from: https://github.com/franz-josef-kaiser/WordPress-GitHub-Plugin-Updater

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment